This version does not support documents saved in the Xcode 8 format. Open this document with Xcode 8

原创 2016年06月17日 12:41:21

刚发布完Xcode的8.0果断更新了,发现用起来非常容易闪退,关键是我编辑项目时默认使用Xcode8打开,导致我用Xcode7打开Xib是报错:

This version does not support documents saved in the Xcode 8 format. Open this document with Xcode 8.0 or later.

这里写图片描述

这下我就蒙B了,这不坑爹么,导致用Xcode8打开的Xib全部打不开,只能用编辑器将Xib里面的下面一句话删除掉才能打开:

<capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>

事情到这就告一段落了,还有一点用Xcode8beta版无法用instuments真机调试,会报device offline,这个也坑了我一脸,最后说一句beta使用有风险,升级需谨慎啊~~~~

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/wang631106979/article/details/51699160

This version does not support documents saved in the Xcode 8

This version does not support documents saved in the Xcode 8 format. Open this document with Xcode 8...
  • Yj_sail
  • Yj_sail
  • 2016-08-18 15:28:00
  • 3011

Xcode编译错误: This application does not support this device’s CPU type.

如图, 改下Architecture设置.ps : 32位的Application已经被苹果淘汰.
  • sinat_22545219
  • sinat_22545219
  • 2018-02-23 11:11:47
  • 1168

This version does not support documents saved in the Xcode 8 format. Open this document with Xcode 8

刚发布完Xcode的8.0果断更新了,发现用起来非常容易闪退,关键是我编辑项目时默认使用Xcode8打开,导致我用Xcode7打开Xib是报错:This version does not suppor...
  • wang631106979
  • wang631106979
  • 2016-06-17 12:41:21
  • 13149

xcode8的一些变动

一、证书管理 用Xcode8打开工程后,比较明显的就是下图了,这个是苹果的新特性,可以帮助我们自动管理证书。建议大家勾选这个Automatically manage signing(Ps.但是在...
  • jnbbwyth
  • jnbbwyth
  • 2016-09-18 17:22:39
  • 16843

iOS7-解决 "The document “XXXX.xib/storyboard" could not be opened. Could not read archive"

当我的Project用Xcode5打开过后,然后又用Xcode4.x打开,选中XXXX.xib/storyboard文件时,有时会弹出 "The document “XXXX.xib/storybo...
  • wwmusic
  • wwmusic
  • 2013-10-11 16:23:08
  • 5813

Chapter 8 Dynamic Documents with Javascript

Chapter 8 DynamicDocuments with Javascript• Support for dynamic HTML is still far from uniform acros...
  • luozhuang
  • luozhuang
  • 2008-06-08 10:29:00
  • 1641

Xcode8 兼容swift2.X问题(持续更新中)

  • qq_24976099
  • qq_24976099
  • 2016-11-01 11:44:11
  • 891

The document “Main.storyboard” ||“LaunchScreen.storyboard” requires Xcode 8.0 or later.

如果我们用低版本的Xcode打开高版本的Xcode创建的带有Main.storyboard或者LaunchScreen.stroyboard的项目时会出现这种错误,如下图 一、解决办法是在工程中...
  • SuperDier
  • SuperDier
  • 2016-12-02 11:18:01
  • 1631

iOS开发之<capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0”/>

使用Xcode8打开过的xib,如果在Xcode7.x里面打开,会报错误,那我们可以在xib里删除这行代码   具体步骤如下: 1、选中xib文件 2、...
  • QearlYu
  • QearlYu
  • 2016-09-22 17:08:40
  • 579
收藏助手
不良信息举报
您举报文章:This version does not support documents saved in the Xcode 8 format. Open this document with Xcode 8
举报原因:
原因补充:

(最多只允许输入30个字)